aboutsummaryrefslogtreecommitdiffstats
path: root/extra/ssmtp/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-01-27 08:04:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-27 08:33:39 +0000
commitd41b368a2fe77470d3a1ba68c9beb7a2712d36aa (patch)
tree971837e8a87bf4815b55fc63e95523e14728e56a /extra/ssmtp/APKBUILD
parent53cfb2aac39eaf66fb5661759261a71629813700 (diff)
downloadaports-d41b368a2fe77470d3a1ba68c9beb7a2712d36aa.tar.gz
aports-d41b368a2fe77470d3a1ba68c9beb7a2712d36aa.tar.bz2
aports-d41b368a2fe77470d3a1ba68c9beb7a2712d36aa.tar.xz
extra/ssmtp: new aport
Diffstat (limited to 'extra/ssmtp/APKBUILD')
-rw-r--r--extra/ssmtp/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/ssmtp/APKBUILD b/extra/ssmtp/APKBUILD
new file mode 100644
index 0000000000..be2f4deda2
--- /dev/null
+++ b/extra/ssmtp/APKBUILD
@@ -0,0 +1,33 @@
+#Contributor: Leonardo Arena <rnalrd@gmail.com>
+pkgname=ssmtp
+pkgver=2.62
+pkgrel=0
+pkgdesc="Extremely simple MTA to get mail off the system to a mail hub"
+subpackages="$pkgname-doc"
+arch=""
+url="http://packages.debian.org/source/lenny/ssmtp"
+license="GPL-2"
+depends="uclibc"
+makedepends="openssl-dev"
+install=
+source="http://ftp.debian.org/debian/pool/main/s/$pkgname/${pkgname}_${pkgver}.orig.tar.gz
+ generate_config.patch
+ CVE-2008-3962.patch"
+
+build() {
+ cd "$srcdir/$pkgname"
+ sed -i -e 's/hostname --fqdn/hostname -f/g' generate_config
+ patch generate_config ../../generate_config.patch
+ sed -i -e 's:$(CC) -o:$(CC) @LDFLAGS@ -o:' Makefile.in
+ patch -p1 ssmtp.c ../../CVE-2008-3962.patch
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --sysconfdir=/etc \
+ --enable-ssl
+ make || return 1
+ make prefix="$pkgdir"/usr etcdir="$pkgdir"/etc mandir="$pkgdir"/usr/share/man install
+}
+md5sums="257ac04e62ab7e3616e220333a1140cb ssmtp_2.62.orig.tar.gz
+d799575f8edefaa279b4cef4df55f874 generate_config.patch
+18f0686f1b8888d187f06dcff3b6212a CVE-2008-3962.patch"